# 音乐相册小程序爬虫

#### 文档

1. GIT: https://git.yishihui.com/Server/crawler_music_album
2. 云文档: https://w42nne6hzg.feishu.cn/sheets/shtcnT6zvmfsYe1g0iv4pt7855g?sheet=f5a76e


#### 软件架构

1. ffmpeg==1.4
2. ffmpeg_python==0.2.0
3. loguru==0.6.0
4. oss2==2.15.0
5. requests==2.27.1
6. urllib3==1.26.9
7. python==3.10


#### 使用说明

1. cd ./crawler_music_album
2. python3 main/run_recommend.py 


#### 需求 

2020/9/2
1. 取消限制:分享率<1%的视频
2. 运行时间: 6:00:00 - 18:00:00

2022/7/13
1. 基础筛选门槛 
   1. 播放量≥20000
   2. 分享量≥200
   3. 视频时长≥1分钟
2. 视频下载门槛
   1. 标题为空的视频，不进行下载。
   2. 视频时长<1分钟，不进行下载。
   3. 分享率<1%的视频，不进行下载（分享量/播放量）
   4. 标题中含有以下词汇的视频，直接过滤掉，不进行下载。
3. 视频上传
   1. 渠道号：YINYUEXIANGCE
   2. 所有的视频随机分配到9个账号上: 20631253, 20631254, 20631255, 20631256, 20631257,20631258, 20631259, 20631260, 20631261
   3. 标题和封面用原视频标题封面
   4. 运行时间间隔: 60 分钟

